import json
import falcon
from picamera import PiCamera


def capture_camera():
    file = open('capture.jpg', 'wb')
    camera.capture(file, resize=(960,540))
    file.close()


class HelloResource(object):

    def on_get(self, req, resp):
        msg = {
            "message": "get ok camera "
        }
        resp.body = json.dumps(msg)
        capture_camera()


if __name__ == "__main__":
    camera = PiCamera()

    app = falcon.API()
    app.add_route("/", HelloResource())

    from wsgiref import simple_server
    httpd = simple_server.make_server("127.0.0.1", 8080, app)
    httpd.serve_forever()
